{% extends 'layout.html' %}

{% block title %}Carrito de compras{%endblock %}

{% block content %}
    <table class="table table-striped table-light">
        <thead>
            <tr>
                <th colspan="4" class="text-center">
                    Carrito de compras
                </th>
            </tr>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Producto</th>
                <th scope="col">Cantidad</th>
                <th scope="col">Precio</th>
            </tr>
        </thead>
        <tbody>

            {% if request.session.carro.items %}
                {% for key, value in request.session.carro.items %}
                    <tr>
                        <th scope="row">1</th>
                        <td>{{ value.nombre }}</td>
                        <td>{{ value.cantidad }}</td>
                        <td>
                            <a href="{% url 'carro:restar' value.producto_id %}" class="btn btn-sm btn-success">-</a>
                            ${{ value.precio }}
                            <a href="{% url 'carro:agregar' value.producto_id %}" class="btn btn-sm btn-success">+</a>                            
                        </td>
                    </tr>
                {% endfor %}
            {% else %}
                <tr>
                    <td colspan="4">
                        <div class="alert alert-danger text-center mb-0" >
                            No hay productos en el carrito
                        </div>
                    </td>
                </tr>
            {% endif %}

        </tbody>
        <tfoot>
            <tr>
                {% if request.session.carro.items %}
                <td>
                    TOTAL: ${{ monto }} <br>PRODUCTOS: {{ cantidad_pruductos }}u.
                </td>
                <td colspan="2" class="text-center">
                    <a href="#" class="btn btn-lg btn-success">Finalizar Compra</a>
                </td>
                <td class="text-right" >
                    <a href="{% url 'carro:vaciar' %}" class="btn btn-warning">Vaciar Carrito</a>
                </td>
                {% endif %}
            </tr>
        </tfoot>
    </table>

{% endblock %}